package com.ruoyi.sy.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 三级专业对象 sy_major_major
 * 
 * @author mingxue
 * @date 2022-03-02
 */
public class SyMajorMajor extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** ID */
    private Long id;

    /** 三级专业code */
    @Excel(name = "三级专业code")
    private String majorCode;

    /** 三级专业名称 */
    @Excel(name = "三级专业名称")
    private String majorName;

    /** 二级专业code */
    @Excel(name = "二级专业code")
    private String majorCategoryCode;

    /** 科目类型，本科/专科 */
    @Excel(name = "科目类型，本科/专科")
    private String type;

    /** 层级 */
    @Excel(name = "层级")
    private Integer level;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setMajorCode(String majorCode) 
    {
        this.majorCode = majorCode;
    }

    public String getMajorCode() 
    {
        return majorCode;
    }
    public void setMajorName(String majorName) 
    {
        this.majorName = majorName;
    }

    public String getMajorName() 
    {
        return majorName;
    }
    public void setMajorCategoryCode(String majorCategoryCode) 
    {
        this.majorCategoryCode = majorCategoryCode;
    }

    public String getMajorCategoryCode() 
    {
        return majorCategoryCode;
    }
    public void setType(String type) 
    {
        this.type = type;
    }

    public String getType() 
    {
        return type;
    }
    public void setLevel(Integer level) 
    {
        this.level = level;
    }

    public Integer getLevel() 
    {
        return level;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("majorCode", getMajorCode())
            .append("majorName", getMajorName())
            .append("majorCategoryCode", getMajorCategoryCode())
            .append("type", getType())
            .append("level", getLevel())
            .toString();
    }
}
